Bug 426561 - Review Request: geoqo - GeoCaching and General Waypoint Database
Review Request: geoqo - GeoCaching and General Waypoint Database
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 01:37 EST by Wes Hardaker
Modified: 2008-01-12 10:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-12 10:07:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-12-22 01:37:50 EST
Spec URL: http://www.hardakers.net/FE/geoqo.spec
SRPM URL: http://www.hardakers.net/FE/geoqo-0.96-1.src.rpm
Description: 
geoqo is a perl script and support modules for manipulating a database
of geocaching and other waypoints.
Comment 1 Parag AN(पराग) 2007-12-27 22:50:02 EST
missing BR as mock build failed
Can't locate ExtUtils/MakeMaker.pm in @INC 

also,
 upstream URL is not working unable to download via wget command.
Comment 2 Wes Hardaker 2007-12-28 10:07:16 EST
%changelog
* Fri Dec 28 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-2
- Use HTTP url from sourceforge for source
- BuildRequire perl(Test) and perl(ExtUtils::MakeMaker)
Comment 4 Parag AN(पराग) 2007-12-28 10:49:35 EST
you should add dist tag to this package also.
Comment 5 Parag AN(पराग) 2007-12-28 11:00:30 EST
make test failed.
see http://koji.fedoraproject.org/koji/getfile?taskID=312823&name=build.log
Comment 6 Brad Bell 2007-12-29 08:43:16 EST
Does not follow perl packaging guidelines for filtering Requires and Provides; see
   http://fedoraproject.org/wiki/Packaging/Perl

Spec file license is GPLv2 but the actual license appears to be
a combination of GPLv2 and the Artistic license. To quote the code itself:
   "stolen from XML::Smart::Entity under copyright of free / perl".

Comment 7 Brad Bell 2007-12-29 08:58:15 EST
It appears that I am mistaken, and the filtering Requires and Provides
suggestions have not been part of recent perl approved review requrests;
   http://fedoraproject.org/wiki/PackageMaintainers/ApprovedReviewRequests
For example see
   https://bugzilla.redhat.com/show_bug.cgi?id=426829
Comment 8 Wes Hardaker 2007-12-29 13:04:32 EST
Spec URL: http://www.hardakers.net/FE/geoqo.spec
SRPM URL: http://www.hardakers.net/FE/geoqo-0.96-2.src.rpm

I think all outstanding issues are fixed:

* Sat Dec 29 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.96-3
- Included Artistic in license
- BuildRequire: a bunch of other packages so make test will work under mock
- dist tag added to release line
Comment 9 Wes Hardaker 2007-12-29 13:05:29 EST
(sadly, I figured mock would be smart enough that in order to run make test it
would probably need the run-time requirements...  I added all the minimal
modules needed for make test to the BuildRequires lines in -03)
Comment 10 Parag AN(पराग) 2007-12-31 03:56:51 EST
Provide correct SRPM to review. 
I can't see any SRPM fixing issues given in comment #8.
Comment 11 Wes Hardaker 2007-12-31 10:08:17 EST
Spec URL: http://www.hardakers.net/FE/geoqo.spec
SRPM URL: http://www.hardakers.net/FE/geoqo-0.96-3.src.rpm

Forgot to update the revision number when I last copied/pasted the URLs above. 
Whoops.  I think you may have tried to download it anyway, judging by the web
server logs.
Comment 12 Parag AN(पराग) 2007-12-31 10:19:31 EST
(In reply to comment #11)
> Spec URL: http://www.hardakers.net/FE/geoqo.spec
> SRPM URL: http://www.hardakers.net/FE/geoqo-0.96-3.src.rpm
> 
> Forgot to update the revision number when I last copied/pasted the URLs above. 
> Whoops.  I think you may have tried to download it anyway, judging by the web
> server logs.
> 

True. But reason behind asking new links is that you added in changelog that
disttag added right? Then why I can't see SRPM with its release containing disttag?
Comment 13 Wes Hardaker 2007-12-31 11:11:21 EST
Ugh.  I think this is my lamest review yet.  Sorry about all the problems.

Spec URL: http://www.hardakers.net/FE/geoqo.spec
SRPM URL: http://www.hardakers.net/FE/geoqo-0.96-4.fc8.src.rpm

Somehow the -3 version posted to the web was out of sync with the spec.

The above truly does fix the problem this time (as you can see by the file name)
Comment 14 Parag AN(पराग) 2008-01-04 00:23:15 EST
Review:
+ package builds in mock (rawhide i386).
- rpmlint is NOT silent for SRPM and for RPM.
==> License should be GPLv2+ or Artistic
+ source files match upstream.
b038cdb0a419eec3569c15743c1cfd0f  geoqo-0.96.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ make test gave
All tests successful.
Files=15, Tests=247,  4 wallclock secs ( 1.79 cusr +  0.37 csys =  2.16 CPU)
+ Package  geoqo-0.96-4.fc9 ->
  Provides: perl(GeoDB) = 0.96 perl(GeoDB::AutoGUI::Values)
perl(GeoDB::AutoGUI::Values::Distinct) = 0.96 perl(GeoDB::AutoGUI::Values::Sets)
= 0.96 perl(GeoDB::DB) perl(GeoDB::Display) = 0.96 perl(GeoDB::Display::Count) =
0.96 perl(GeoDB::Display::Dump) = 0.96 perl(GeoDB::Display::Firefox) = 0.96
perl(GeoDB::Display::Graph) = 0.96 perl(GeoDB::Display::Graph::Find) = 0.96
perl(GeoDB::Display::Graph::Placed) = 0.96 perl(GeoDB::Display::Gui::List) =
0.96 perl(GeoDB::Display::Gui::List::Plugin) = 0.96
perl(GeoDB::Display::Gui::List::Plugin::Attributes) = 0.96
perl(GeoDB::Display::Gui::List::Plugin::Rate) = 0.96
perl(GeoDB::Display::Gui::List::Plugin::Show) = 0.96
perl(GeoDB::Display::Gui::List::Plugin::Solve) = 0.96
perl(GeoDB::Display::Gui::List::Plugin::Tag) = 0.96
perl(GeoDB::Display::Gui::Show) = 0.96 perl(GeoDB::Display::Help) = 0.96
perl(GeoDB::Display::List) = 0.96 perl(GeoDB::Display::Sets) = 0.96
perl(GeoDB::Display::Show) = 0.96 perl(GeoDB::Display::Stats) = 0.96
perl(GeoDB::Display::Top10) = 0.96 perl(GeoDB::Everywhere::Mem) = 0.96
perl(GeoDB::Export) = 0.96 perl(GeoDB::Export::Density) perl(GeoDB::Export::Gpx)
= 0.96 perl(GeoDB::Export::Html) = 0.96 perl(GeoDB::Export::Kml) = 0.96
perl(GeoDB::Export::Loc) = 0.96 perl(GeoDB::Export::System) = 0.96
perl(GeoDB::Import) perl(GeoDB::Import::Average) = 0.96
perl(GeoDB::Import::Create) = 0.96 perl(GeoDB::Import::Gpx) = 0.96
perl(GeoDB::Import::Loc) = 0.96 perl(GeoDB::Import::Project) = 0.96
perl(GeoDB::Import::System) = 0.96 perl(GeoDB::Import::Wigle) = 0.96
perl(GeoDB::Import::Zip) = 0.96 perl(GeoDB::Modify) = 0.96
perl(GeoDB::Modify::Classify) = 0.96 perl(GeoDB::Modify::Delete) = 0.96
perl(GeoDB::Modify::Diff) = 0.96 perl(GeoDB::Modify::Distance) = 0.96
perl(GeoDB::Modify::Drop) = 0.96 perl(GeoDB::Modify::Dropexisting) = 0.96
perl(GeoDB::Modify::Gctodiff) = 0.96 perl(GeoDB::Modify::Limit) = 0.96
perl(GeoDB::Modify::Load) = 0.96 perl(GeoDB::Modify::Makepuzzle) = 0.96
perl(GeoDB::Modify::Only) = 0.96 perl(GeoDB::Modify::Rate) = 0.96
perl(GeoDB::Modify::Rewrite) = 0.96 perl(GeoDB::Modify::Setattr) = 0.96
perl(GeoDB::Modify::Solved) = 0.96 perl(GeoDB::Modify::Sortby) = 0.96
perl(GeoDB::Modify::Symbol) = 0.96 perl(GeoDB::Modify::Tag) = 0.96
perl(GeoDB::Modify::Track) = 0.96 perl(GeoDB::Modify::Translate) = 0.96
perl(GeoDB::Search) perl(GeoDB::Search::Any) = 0.96 perl(GeoDB::Search::Attr) =
0.96 perl(GeoDB::Search::Cache) = 0.96 perl(GeoDB::Search::Geodining) = 0.96
perl(GeoDB::Search::Ident) = 0.96 perl(GeoDB::Search::Log) = 0.96
perl(GeoDB::Search::Rating) = 0.96 perl(GeoDB::Search::Set) = 0.96
perl(GeoDB::Search::Tag) = 0.96 perl(GeoDB::Search::Track) = 0.96
perl(GeoDB::Search::Waymark) = 0.96 perl(GeoDB::Search::Waypoint) = 0.96
perl(GeoDB::Search::Wigle) = 0.96 perl(GeoDB::Set) = 0.96 perl(GeoDB::Utils) =
0.96 perl(GeoDB::Waypoint) = 0.96 perl(GeoDB::Waypoint::Geocache) = 0.96
perl(GeoDB::Waypoint::Geodining) = 0.96 perl(GeoDB::Waypoint::Waymark) = 0.96
perl(GeoDB::Waypoint::Wigle) = 0.96
  Requires: /usr/bin/perl perl(Chart::Lines) perl(Config) perl(Cwd) perl(DBI)
perl(Data::Dumper) perl(Date::Parse) perl(Exporter) perl(File::Spec) perl(GD)
perl(GeoDB) perl(GeoDB::AutoGUI::Values) perl(GeoDB::DB) perl(GeoDB::Display)
perl(GeoDB::Display::Graph) perl(GeoDB::Display::Gui::List::Plugin)
perl(GeoDB::Export) perl(GeoDB::Export::Density) perl(GeoDB::Import)
perl(GeoDB::Import::Gpx) perl(GeoDB::Modify) perl(GeoDB::Search)
perl(GeoDB::Set) perl(GeoDB::Utils) perl(GeoDB::Waypoint)
perl(GeoDB::Waypoint::Geocache) perl(GeoDB::Waypoint::Geodining)
perl(GeoDB::Waypoint::Waymark) perl(GeoDB::Waypoint::Wigle) perl(Gtk2)
perl(IO::File) perl(QWizard) perl(QWizard) perl(QWizard::API)
perl(Text::Balanced) perl(XML::Simple) perl(strict)

+ Not a GUI app.
APPROVED.


SHOULD:
   Change License to GPLv2+ or Artistic
Comment 15 Wes Hardaker 2008-01-07 16:37:20 EST
Just FYI:  license is not GPLv2+, as the copyright headers in the code do not
say "or later".

Thanks for the review!
Comment 16 Wes Hardaker 2008-01-07 16:38:29 EST
New Package CVS Request
=======================
Package Name: geoqo
Short Description: Geocaching and General Geographical Waypoint Database
Owners: hardaker
Branches: F-7 F-8 devel
InitialCC: 
Cvsextras Commits:
Comment 17 Parag AN(पराग) 2008-01-07 22:07:46 EST
(In reply to comment #15)
> Just FYI:  license is not GPLv2+, as the copyright headers in the code do not
> say "or later".
> 
> Thanks for the review!
> 

Ok.
Comment 18 Kevin Fenzi 2008-01-07 22:15:39 EST
cvs done.
Comment 19 Parag AN(पराग) 2008-01-12 10:07:05 EST
Closing this Review ticket as this package is successfully built on koji for
requested branches.

Note You need to log in before you can comment on or make changes to this bug.